Get Fees
curl --request GET \
--url https://access.utgl.io/v1/fees \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://access.utgl.io/v1/fees"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://access.utgl.io/v1/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prevPageToken": "<string>",
"nextPageToken": "<string>",
"fees": [
{
"id": "<string>",
"transaction": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"xid": "<string>",
"xmetadata": "<unknown>",
"refId": "CT34567890",
"cardAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardLast4": "<string>",
"cardEmbossedName": "<string>",
"createdAt": "2022-11-10T07:47:09.415Z",
"status": "pending",
"postedAt": "2022-11-10T07:47:09.415Z",
"intent": "charge",
"authorization": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USD",
"amount": 128.29,
"createdAt": "2022-11-10T07:47:09.415Z",
"type": "Payment authorization type",
"responseCode": "<string>",
"responseMessage": "<string>",
"cardPresent": true
},
"merchant": {
"name": "UBER * PENDING Amsterdam NLD",
"mcc": "4121",
"category": "Taxicabs and limousines",
"country": "HK"
},
"currency": "HKD",
"amount": 1000,
"entryType": "CREDIT",
"description": "UBER * PENDING Amsterdam NLD",
"disputeStatus": "pending",
"grossAmount": 1000
},
"amount": 123,
"currency": "<string>",
"status": "pending",
"intent": "<string>",
"intentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}Fees
Get Fees
Retrieves the Fees list.
GET
/
fees
Get Fees
Authorizations
BasicBearer
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Search results by fee id
Search results by intent
Search results by xmetadata xid
Example:
"2022-01-01T00:00:00.000Z"
Example:
"2022-01-31T23:59:59.999Z"
Filter by one or more account id
Limits the number returned items Some collections have a upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used. If no page size is provided, the collection will determine the page size itself.
Required range:
x >= 1Example:
"aWVHZWV5OVgK"
Was this page helpful?

